Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1979 - (not nc, nscd!) nscd not PAM passwd format compliant
Summary: (not nc, nscd!) nscd not PAM passwd format compliant
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: nc
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-04 08:12 UTC by Jay Freeman
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 00:03:00 UTC


Attachments (Terms of Use)

Description Jay Freeman 1999-04-04 08:12:57 UTC
I found out a while ago that PAM/shadow allows for blank
lines and comments inside of the /etc/passwd file, and have
been using that to organize my users.  Earlier today, I ran
a program (eggdrop 1.3.23) using su -c, and the console
froze, and nscd logged these errors to the syslog (some
multiple times):

Apr  3 14:18:15 ironclad nscd: 326: short write in
cache_addhst: Broken pipe
Apr  3 14:18:15 ironclad nscd: 326: cannot write result:
Broken pipe
Apr  3 14:18:15 ironclad nscd: 326: short write in
cache_addpw: Broken pipe

:and then refused to serve anymore passwd lookups, keeping
me from logging into the computer (and making any ls -l or
ps process hang and need to be stopped with ctrl-c).  I was
forced to reboot each time (although one time I had another
console open that I was able to use to kill all the nscd
processes which fixed it).  I propose that nscd not be
defaulted to starting at startup during the installation
program so that users have to make a concious effort to deem
it neccessary to use the daemon.

BTW, nscd should be added to the component menu for
bugzilla.

Comment 1 Cristian Gafton 1999-04-06 00:03:59 UTC
empty lines in the passwd file are ILLEGAL. This is not supposed to be
a supported feature.

I do agree that starting nscd by default is unnecessary, so I changed
that in the current glibc rpms.


Note You need to log in before you can comment on or make changes to this bug.